Name: 		liblcms
Summary: 	Little cms color engine
Version: 	1.15
Release: 	3
License: 	LGPL
URL:            http://www.littlecms.com
Source0: 	http://www.littlecms.com/lcms-%{version}.tar.gz
Group: 		Libraries
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
%define 	versioninfo 1:15:0
%define 	buildsolib 1

%description
This is a CMM engine to deal with color management stuff. 

%package 	devel
Summary:  	Header files and static library for development with LCMS
Group: 		Development

%description 	devel
This package is only needed if you plan to develop or compile
applications which requires the LCMS library.

%prep
%setup -q -n lcms-%{version}

%build
%configure --with-python --disable-nls
make
(cd testbed
gcc $CFLAGS -I ../include testcms.c ../src/.libs/liblcms.a -o testcms -lm
./testcms)

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/lcms-%{version}
cp -a testbed/*.icm $RPM_BUILD_ROOT%{_datadir}/lcms-%{version}
(cd testbed
install -m 755 testcms $RPM_BUILD_ROOT%{_bindir})
cd $RPM_BUILD_ROOT/usr/bin && cp -sf ../share/lcms-%{version}/* .

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/python2*
%{_bindir}
%{_datadir}

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/pkgconfig
%{_includedir}
